local modelColor = ...;
assert(...);
local fallbackColor = "none";

-- validation
local valids = {
	"blue",
	"green",
	"lightblue",
	"none",
	"orange",
	"pink",
	"purple",
	"red",
	"yellow"
};
local isValid = false;
for i=1,#valids do
	if not isValid then
		if valids[i] == modelColor then
			isValid = true;
		end;
	end;
end;
modelColor = isValid and modelColor or fallbackColor;
local bUse3dModels = GetAdhocPref("Enable3DModels");

local t = Def.Model{
	Meshes=THEME:GetPathB("_shared","models/_popcandymodel/popcandy_mesh.txt");
	Bones=THEME:GetPathB("_shared","models/_popcandymodel/popcandy_bones.txt");
	Materials=THEME:GetPathB("_shared","models/_popcandymodel/popcandy_materials_"..modelColor..".txt");
};

return bUse3dModels and t or Def.Actor{};